# cpp_primer_20_days_challenge
## Purpose of this repository
After being a web application developer for several years, I am now pretty sick of JS.

I felt it's about time to put myself together with a proper language for a carrer and life-style improvement.

So here it is, C++, the first programming language I have learnt.

I thought about ways to fresh up my coding skill with cpp.

Like starting with a small project or looking for a open source repository to dig in.

Then I found this textbook I never finished, 
> C++ Primer, Fifth Edition

This time, in the name of my dick "Jumbo D", I will conquer it

## Discipline
As mentioned in title of this repository, I gave myself a deadline to finish this book like a challenge

20 days 

with 19 chapters in total, I need to finish at least one chapter a day to keep this plan on track

In hence, from tomorrow and on, I will push a new commit containing reading notes within a markdown file along with some exercise code files
